#!/bin/sh
export PATH='/usr/lib/ccache/bin:/usr/local/bin:/usr/bin:/bin'
echo 'name: hashed-storage
version: 0.5.11
id: hashed-storage-0.5.11-2770f868e4375481e854914d30224ce9

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
synopsis: Hashed file storage support code.
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
trusted: False
import-dirs: /usr/lib/ghc-7.8.2/site-local/hashed-storage-0.5.11
library-dirs: /usr/lib/ghc-7.8.2/site-local/hashed-storage-0.5.11
hs-libraries: HShashed-storage-0.5.11
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.0-9dd94c6fa40914f9287ea41949cd31fb
         binary-0.7.1.0-5a3ab9340086389d0753ae923c7b3e5d
         bytestring-0.10.4.0-75db652225117160a639cab04d048c8d
         containers-0.5.5.1-aae38cb3e328cc157e2a48942dc1ec6a
         dataenc-0.14.0.7-5d4ceb3f445bcace26dcd8d99c945f10
         directory-1.2.1.0-2d5360d0747950dfe7640b8d06af2815
         extensible-exceptions-0.1.1.4-7cc3271f691672ab53129352137250b7
         filepath-1.3.0.2-b00a50149bfbdb0c74fa1ad8203d57ac
         mmap-0.5.9-c656d3bcafc1bca4146348615820bcd2
         mtl-2.1.3.1-193481ae2e409fc15f6a1951e79c1a39
         zlib-0.5.4.1-1bb6d237396c094ce8b75db85f659923
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/i386-linux-ghc-7.8.2/hashed-storage-0.5.11/html/hashed-storage.haddock
haddock-html: /usr/share/doc/i386-linux-ghc-7.8.2/hashed-storage-0.5.11/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
